<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс GridCommandListItem</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#properties">Свойства</a> &#124;
<a href="classGridCommandListItem-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс GridCommandListItem</div>  </div>
</div><!--header-->
<div class="contents">

<p>Полоска текста с закругленным фоном  
 <a href="classGridCommandListItem.html#details">Подробнее...</a></p>
<div class="dynheader">
Граф наследования:GridCommandListItem:</div>
<div class="dyncontent">
<div class="center"><img src="classGridCommandListItem__inherit__graph.png" border="0" usemap="#GridCommandListItem_inherit__map" alt="Inheritance graph"/></div>
<map name="GridCommandListItem_inherit__map" id="GridCommandListItem_inherit__map">
<area shape="rect" title="Полоска текста с закругленным фоном" alt="" coords="5,80,175,107"/>
<area shape="rect" title=" " alt="" coords="47,5,133,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса GridCommandListItem:</div>
<div class="dyncontent">
<div class="center"><img src="classGridCommandListItem__coll__graph.png" border="0" usemap="#GridCommandListItem_coll__map" alt="Collaboration graph"/></div>
<map name="GridCommandListItem_coll__map" id="GridCommandListItem_coll__map">
<area shape="rect" title="Полоска текста с закругленным фоном" alt="" coords="5,80,175,107"/>
<area shape="rect" title=" " alt="" coords="47,5,133,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Свойства</h2></td></tr>
<tr class="memitem:a2dfc1153864b14782da6bba6753ea0a8"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandListItem.html#a2dfc1153864b14782da6bba6753ea0a8">itemName</a></td></tr>
<tr class="memdesc:a2dfc1153864b14782da6bba6753ea0a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Текст полоски  <a href="classGridCommandListItem.html#a2dfc1153864b14782da6bba6753ea0a8">Подробнее...</a><br /></td></tr>
<tr class="separator:a2dfc1153864b14782da6bba6753ea0a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a7670f43764b8e1c60ee9688780a150"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandListItem.html#a2a7670f43764b8e1c60ee9688780a150">border_color</a></td></tr>
<tr class="memdesc:a2a7670f43764b8e1c60ee9688780a150"><td class="mdescLeft">&#160;</td><td class="mdescRight">Цвет границ полоски  <a href="classGridCommandListItem.html#a2a7670f43764b8e1c60ee9688780a150">Подробнее...</a><br /></td></tr>
<tr class="separator:a2a7670f43764b8e1c60ee9688780a150"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e41db460179072f47f7c8424223a8f7"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandListItem.html#a0e41db460179072f47f7c8424223a8f7">text_color</a></td></tr>
<tr class="memdesc:a0e41db460179072f47f7c8424223a8f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Цвет текста  <a href="classGridCommandListItem.html#a0e41db460179072f47f7c8424223a8f7">Подробнее...</a><br /></td></tr>
<tr class="separator:a0e41db460179072f47f7c8424223a8f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a062471b77eb8a10e29bceba971884b2f"><td class="memItemLeft" align="right" valign="top">Gradient&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandListItem.html#a062471b77eb8a10e29bceba971884b2f">backgroundGrad</a></td></tr>
<tr class="memdesc:a062471b77eb8a10e29bceba971884b2f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Градиент полоски  <a href="classGridCommandListItem.html#a062471b77eb8a10e29bceba971884b2f">Подробнее...</a><br /></td></tr>
<tr class="separator:a062471b77eb8a10e29bceba971884b2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93b6856d5aa1114a729b5e996face3c6"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandListItem.html#a93b6856d5aa1114a729b5e996face3c6">_radius</a></td></tr>
<tr class="memdesc:a93b6856d5aa1114a729b5e996face3c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Степень закругленности полоски  <a href="classGridCommandListItem.html#a93b6856d5aa1114a729b5e996face3c6">Подробнее...</a><br /></td></tr>
<tr class="separator:a93b6856d5aa1114a729b5e996face3c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Полоска текста с закругленным фоном </p>

<p class="definition">См. определение в файле <a class="el" href="GridCommandListItem_8qml_source.html">GridCommandListItem.qml</a> строка <a class="el" href="GridCommandListItem_8qml_source.html#l00011">11</a></p>
</div><h2 class="groupheader">Полный список свойств</h2>
<a id="a93b6856d5aa1114a729b5e996face3c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93b6856d5aa1114a729b5e996face3c6">&#9670;&nbsp;</a></span>_radius</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GridCommandListItem::_radius</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Степень закругленности полоски </p>

<p class="definition">См. определение в файле <a class="el" href="GridCommandListItem_8qml_source.html">GridCommandListItem.qml</a> строка <a class="el" href="GridCommandListItem_8qml_source.html#l00023">23</a></p>

</div>
</div>
<a id="a062471b77eb8a10e29bceba971884b2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a062471b77eb8a10e29bceba971884b2f">&#9670;&nbsp;</a></span>backgroundGrad</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Gradient GridCommandListItem::backgroundGrad</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Градиент полоски </p>

<p class="definition">См. определение в файле <a class="el" href="GridCommandListItem_8qml_source.html">GridCommandListItem.qml</a> строка <a class="el" href="GridCommandListItem_8qml_source.html#l00021">21</a></p>

</div>
</div>
<a id="a2a7670f43764b8e1c60ee9688780a150"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a7670f43764b8e1c60ee9688780a150">&#9670;&nbsp;</a></span>border_color</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string GridCommandListItem::border_color</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Цвет границ полоски </p>

<p class="definition">См. определение в файле <a class="el" href="GridCommandListItem_8qml_source.html">GridCommandListItem.qml</a> строка <a class="el" href="GridCommandListItem_8qml_source.html#l00016">16</a></p>

</div>
</div>
<a id="a2dfc1153864b14782da6bba6753ea0a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2dfc1153864b14782da6bba6753ea0a8">&#9670;&nbsp;</a></span>itemName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string GridCommandListItem::itemName</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Текст полоски </p>

<p class="definition">См. определение в файле <a class="el" href="GridCommandListItem_8qml_source.html">GridCommandListItem.qml</a> строка <a class="el" href="GridCommandListItem_8qml_source.html#l00014">14</a></p>

</div>
</div>
<a id="a0e41db460179072f47f7c8424223a8f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e41db460179072f47f7c8424223a8f7">&#9670;&nbsp;</a></span>text_color</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string GridCommandListItem::text_color</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Цвет текста </p>

<p class="definition">См. определение в файле <a class="el" href="GridCommandListItem_8qml_source.html">GridCommandListItem.qml</a> строка <a class="el" href="GridCommandListItem_8qml_source.html#l00019">19</a></p>

</div>
</div>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/<a class="el" href="GridCommandListItem_8qml_source.html">GridCommandListItem.qml</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
